=== debian/changelog ===
ros-kinetic-robotis-framework-common (0.2.9-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Wed, 21 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.8-0xenial) xenial; urgency=high

  * tested for system dependencies
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.7-0xenial) xenial; urgency=high

  * change the License and package format to version 2
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.6-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.5-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.4-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 06 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.3-0xenial) xenial; urgency=high

  * updated the cmake file for ros install
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.2-0xenial) xenial; urgency=high

  * updated for other packages
  * Contributors: Zerom, Kayman

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.1-0xenial) xenial; urgency=high

  * Merge the changes and update
  * 
    
      * dependencies fixed. (Pull requests #26 <https://github.com/ROBOTIS-GIT/ROBOTIS-Framework/issues/26>)
    
  * 
    
      * modified dependency problem.
    
  * Contributors: Jay Song, Pyo, Zerom

 -- Pyo <pyo@robotis.com>  Tue, 22 Nov 2016 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.2.0-0xenial) xenial; urgency=high

  * updated CHANGLOG.rst for minor release
  * rename ControlMode(CurrentControl -> TorqueControl)
  * rename (port_to_sync_write_torque_ -> port_to_sync_write_current_)
  * Contributors: Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.1.1-0xenial) xenial; urgency=high

  * updated the package information

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-framework-common (0.1.0-0xenial) xenial; urgency=high

  * modified the package information for release
  * Setting the license to BSD.
  * add SensorState
    add Singleton template
  * Contributors: Jay Song, Zerom, Pyo

 -- pyo <pyo@robotis.com>  Thu, 11 Aug 2016 15:00:00 -0000
