=== debian/control ===
Source: ros-kinetic-robotis-framework-common
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-robotis-device, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/robotis_framework_common
Standards-Version: 3.9.2

Package: ros-kinetic-robotis-framework-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-robotis-device, ros-kinetic-roscpp
Description: The package contains commonly used Headers for the ROBOTIS Framework.
